org.apache.ivy.core.sort

## Interface NonMatchingVersionReporter

All Known Implementing Classes:
  SilentNonMatchingVersionReporter, WarningNonMatchingVersionReporter

    public interface NonMatchingVersionReporter

### Method Summary

Methods
`void` `reportNonMatchingVersion(DependencyDescriptor descriptor, ModuleDescriptor md)` Report to the user that ivy has detected that a module to sort has a dependency on an other module to sort, but the revisions doesn't match.

### Method Detail

#### reportNonMatchingVersion

    void reportNonMatchingVersion(DependencyDescriptor descriptor,
                                ModuleDescriptor md)

Report to the user that ivy has detected that a module to sort has a dependency on an other module to sort, but the revisions doesn't match.

Parameters:
  `descriptor` - The non matching dependency descriptor.
  `md` - The module to sort having the corect moduleID but a non matching revision